SDL_WriteS16BE(3)

NAME
SDL_WriteS16BE - Use this function to write 16 bits in native format to an SDL_IOStream
 as big-endian data.

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_WriteS16BE(SDL_IOStream *dst, Sint16 value);

DESCRIPTION
SDL byteswaps the data only if necessary, so the application always specifies native format, and the data written will be in big-endian format.

FUNCTION PARAMETERS

dst the stream to which data will be written

value
    the data to be written, in native format

RETURN VALUE
Returns SDL_TRUE
 on successful write, SDL_FALSE
 on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.